OpenNMS API 1.2.9

## org.opennms.netmgt.outage
Class BasicNode

    java.lang.Object
      org.opennms.netmgt.outage.BasicElement
          org.opennms.netmgt.outage.BasicNode

public class BasicNode
extends BasicElement

Author:
  brozow TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`private BasicNetwork` `m_network`
`private long` `m_nodeId`

Constructor Summary
`BasicNode(BasicNetwork network, long nodeId)`

Method Summary
`int` `closeOutages(java.sql.Connection dbConn, long eventID, java.lang.String eventTime)`
`BasicNetwork` `getNetwork()`
`long` `getNodeId()`
`boolean` `isValid()`
`boolean` `openOutageExists(java.sql.Connection dbConn)`
`void` `openOutages(java.sql.Connection dbConn, long eventID, java.lang.String eventTime)`
`java.lang.String` `toString()`

Methods inherited from class org.opennms.netmgt.outage.BasicElement
`getNextOutageId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_network

    private BasicNetwork m_network

### m_nodeId

    private long m_nodeId

Constructor Detail

### BasicNode

    public BasicNode(BasicNetwork network,
                     long nodeId)

Method Detail

### getNodeId

    public long getNodeId()

### getNetwork

    public BasicNetwork getNetwork()

  Specified by:
    `getNetwork` in class `BasicElement`

### toString

    public java.lang.String toString()

### isValid

    public boolean isValid()

  Returns:

### openOutageExists

    public boolean openOutageExists(java.sql.Connection dbConn)
                             throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### closeOutages

    public int closeOutages(java.sql.Connection dbConn,
                            long eventID,
                            java.lang.String eventTime)
                     throws java.sql.SQLException

  Parameters:
    `dbConn` -
    `eventID` -
    `eventTime` -
  Returns:
  Throws:
    `java.sql.SQLException`

### openOutages

    public void openOutages(java.sql.Connection dbConn,
                            long eventID,
                            java.lang.String eventTime)
                     throws java.sql.SQLException

  Parameters:
    `dbConn` -
    `eventID` -
    `eventTime` -
  Throws:
    `java.sql.SQLException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.